- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions

# QUndoGroup Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qundogroup.h.

`#include <qundogroup.h>`

Inheritance diagram for QUndoGroup:
[legend]

List of all members.

## Public Slots
void | undo ()
void | redo ()
void | setActiveStack (QUndoStack *stack)
## Signals
void | activeStackChanged (QUndoStack *stack)
void | indexChanged (int idx)
void | cleanChanged (bool clean)
void | canUndoChanged (bool canUndo)
void | canRedoChanged (bool canRedo)
void | undoTextChanged (const QString &undoText)
void | redoTextChanged (const QString &redoText)
## Public Member Functions
| QUndoGroup (QObject *parent=0)
| ~QUndoGroup ()
void | addStack (QUndoStack *stack)
void | removeStack (QUndoStack *stack)
QList< QUndoStack * > | stacks () const
QUndoStack * | activeStack () const
QAction * | createUndoAction (QObject *parent, const QString &prefix=QString()) const
QAction * | createRedoAction (QObject *parent, const QString &prefix=QString()) const
bool | canUndo () const
bool | canRedo () const
QString | undoText () const
QString | redoText () const
bool | isClean () const

## Constructor & Destructor Documentation

QUndoGroup | ( | QObject * | parent = `0` | ) | `[explicit]`

~QUndoGroup | ( |  | ) |

## Member Function Documentation

void addStack | ( | QUndoStack * | stack | ) |

Search for all occurrences

void removeStack | ( | QUndoStack * | stack | ) |

Search for all occurrences

QList<QUndoStack*> stacks | ( |  | ) | const

Search for all occurrences

QUndoStack* activeStack | ( |  | ) | const

Search for all occurrences

QAction* createUndoAction | ( | QObject * | parent,
|  | const QString & | prefix = `QString()`
| ) |  | const

Search for all occurrences

QAction* createRedoAction | ( | QObject * | parent,
|  | const QString & | prefix = `QString()`
| ) |  | const

Search for all occurrences

bool canUndo | ( |  | ) | const

Search for all occurrences

bool canRedo | ( |  | ) | const

Search for all occurrences

QString undoText | ( |  | ) | const

Search for all occurrences

QString redoText | ( |  | ) | const

Search for all occurrences

bool isClean | ( |  | ) | const

Search for all occurrences

void undo | ( |  | ) | `[slot]`

Search for all occurrences

void redo | ( |  | ) | `[slot]`

Search for all occurrences

void setActiveStack | ( | QUndoStack * | stack | ) | `[slot]`

Search for all occurrences

void activeStackChanged | ( | QUndoStack * | stack | ) | `[signal]`

Search for all occurrences

void indexChanged | ( | int | idx | ) | `[signal]`

Search for all occurrences

void cleanChanged | ( | bool | clean | ) | `[signal]`

Search for all occurrences

void canUndoChanged | ( | bool | canUndo | ) | `[signal]`

Search for all occurrences

void canRedoChanged | ( | bool | canRedo | ) | `[signal]`

Search for all occurrences

void undoTextChanged | ( | const QString & | undoText | ) | `[signal]`

Search for all occurrences

void redoTextChanged | ( | const QString & | redoText | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qundogroup.h

QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup
QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup QUndoGroup